gio-0.13.8.1: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Enums

Contents

- Enums

Description

Synopsis

- data FileQueryInfoFlags
  - = FileQueryInfoNone
  - | FileQueryInfoNofollowSymlinks
- data FileCreateFlags
  - = FileCreateNone
  - | FileCreatePrivate
  - | FileCreateReplaceDestination
- data FileCopyFlags
  - = FileCopyNone
  - | FileCopyOverwrite
  - | FileCopyBackup
  - | FileCopyNofollowSymlinks
  - | FileCopyAllMetadata
  - | FileCopyNoFallbackForMove
  - | FileCopyTargetDefaultPerms
- data FileMonitorFlags
  - = FileMonitorNone
  - | FileMonitorWatchMounts
  - | FileMonitorSendMoved
  - | FileMonitorWatchHardLinks
  - | FileMonitorWatchMoves
- data FilesystemPreviewType
  - = FilesystemPreviewTypeIfAlways
  - | FilesystemPreviewTypeIfLocal
  - | FilesystemPreviewTypeNever
- data FileType
  - = FileTypeUnknown
  - | FileTypeRegular
  - | FileTypeDirectory
  - | FileTypeSymbolicLink
  - | FileTypeSpecial
  - | FileTypeShortcut
  - | FileTypeMountable
- data FileAttributeStatus
  - = FileAttributeStatusUnset
  - | FileAttributeStatusSet
  - | FileAttributeStatusErrorSetting
- data FileAttributeInfoFlags
  - = FileAttributeInfoNone
  - | FileAttributeInfoCopyWithFile
  - | FileAttributeInfoCopyWhenMoved
- data AskPasswordFlags
  - = AskPasswordNeedPassword
  - | AskPasswordNeedUsername
  - | AskPasswordNeedDomain
  - | AskPasswordSavingSupported
  - | AskPasswordAnonymousSupported
  - | AskPasswordTcrypt
- data PasswordSave
  - = PasswordSaveNever
  - | PasswordSaveForSession
  - | PasswordSavePermanently
- data MountOperationResult
  - = MountOperationHandled
  - | MountOperationAborted
  - | MountOperationUnhandled
- data IOErrorEnum
  - = IoErrorFailed
  - | IoErrorNotFound
  - | IoErrorExists
  - | IoErrorIsDirectory
  - | IoErrorNotDirectory
  - | IoErrorNotEmpty
  - | IoErrorNotRegularFile
  - | IoErrorNotSymbolicLink
  - | IoErrorNotMountableFile
  - | IoErrorFilenameTooLong
  - | IoErrorInvalidFilename
  - | IoErrorTooManyLinks
  - | IoErrorNoSpace
  - | IoErrorInvalidArgument
  - | IoErrorPermissionDenied
  - | IoErrorNotSupported
  - | IoErrorNotMounted
  - | IoErrorAlreadyMounted
  - | IoErrorClosed
  - | IoErrorCancelled
  - | IoErrorPending
  - | IoErrorReadOnly
  - | IoErrorCantCreateBackup
  - | IoErrorWrongEtag
  - | IoErrorTimedOut
  - | IoErrorWouldRecurse
  - | IoErrorBusy
  - | IoErrorWouldBlock
  - | IoErrorHostNotFound
  - | IoErrorWouldMerge
  - | IoErrorFailedHandled
  - | IoErrorTooManyOpenFiles
  - | IoErrorNotInitialized
  - | IoErrorAddressInUse
  - | IoErrorPartialInput
  - | IoErrorInvalidData
  - | IoErrorDbusError
  - | IoErrorHostUnreachable
  - | IoErrorNetworkUnreachable
  - | IoErrorConnectionRefused
  - | IoErrorProxyFailed
  - | IoErrorProxyAuthFailed
  - | IoErrorProxyNeedAuth
  - | IoErrorProxyNotAllowed
  - | IoErrorBrokenPipe
  - | IoErrorConnectionClosed
  - | IoErrorNotConnected
  - | IoErrorMessageTooLarge
- data FileMonitorEvent
  - = FileMonitorEventChanged
  - | FileMonitorEventChangesDoneHint
  - | FileMonitorEventDeleted
  - | FileMonitorEventCreated
  - | FileMonitorEventAttributeChanged
  - | FileMonitorEventPreUnmount
  - | FileMonitorEventUnmounted
  - | FileMonitorEventMoved
  - | FileMonitorEventRenamed
  - | FileMonitorEventMovedIn
  - | FileMonitorEventMovedOut
- data MountMountFlags = MountMountNone
- data MountUnmountFlags
  - = MountUnmountNone
  - | MountUnmountForce
- data DriveStartFlags = DriveStartNone
- data DriveStartStopType
  - = DriveStartStopTypeUnknown
  - | DriveStartStopTypeShutdown
  - | DriveStartStopTypeNetwork
  - | DriveStartStopTypeMultidisk
  - | DriveStartStopTypePassword
- data EmblemOrigin
  - = EmblemOriginUnknown
  - | EmblemOriginDevice
  - | EmblemOriginLivemetadata
  - | EmblemOriginTag
- data AppInfoCreateFlags
  - = AppInfoCreateNone
  - | AppInfoCreateNeedsTerminal
  - | AppInfoCreateSupportsUris
  - | AppInfoCreateSupportsStartupNotification

# Enums

data FileQueryInfoFlags Source #

Flags used when querying a `FileInfo`.

Constructors

FileQueryInfoNone |
FileQueryInfoNofollowSymlinks |

#### Instances

Instances details

Bounded FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileQueryInfoFlags maxBound :: FileQueryInfoFlags
Enum FileQueryInfoFlags Source # | Flags used when an operation may create a file.

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileQueryInfoFlags -> FileQueryInfoFlags

pred :: FileQueryInfoFlags -> FileQueryInfoFlags

toEnum :: Int -> FileQueryInfoFlags

fromEnum :: FileQueryInfoFlags -> Int

enumFrom :: FileQueryInfoFlags -> [FileQueryInfoFlags]

enumFromThen :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags]

enumFromTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags]

enumFromThenTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags]

Eq FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool (/=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool
Ord FileQueryInfoFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileQueryInfoFlags -> FileQueryInfoFlags -> Ordering

(<) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

(<=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

(>) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

(>=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool

max :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags

min :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags

Show FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileQueryInfoFlags -> ShowS show :: FileQueryInfoFlags -> String showList :: [FileQueryInfoFlags] -> ShowS
Flags FileQueryInfoFlags Source # |
Instance details Defined in System.GIO.Enums

data FileCreateFlags Source #

Constructors

FileCreateNone |
FileCreatePrivate |
FileCreateReplaceDestination |

#### Instances

Instances details

Bounded FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileCreateFlags maxBound :: FileCreateFlags
Enum FileCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileCreateFlags -> FileCreateFlags

pred :: FileCreateFlags -> FileCreateFlags

toEnum :: Int -> FileCreateFlags

fromEnum :: FileCreateFlags -> Int

enumFrom :: FileCreateFlags -> [FileCreateFlags]

enumFromThen :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags]

enumFromTo :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags]

enumFromThenTo :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags -> [FileCreateFlags]

Eq FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileCreateFlags -> FileCreateFlags -> Bool (/=) :: FileCreateFlags -> FileCreateFlags -> Bool
Ord FileCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileCreateFlags -> FileCreateFlags -> Ordering

(<) :: FileCreateFlags -> FileCreateFlags -> Bool

(<=) :: FileCreateFlags -> FileCreateFlags -> Bool

(>) :: FileCreateFlags -> FileCreateFlags -> Bool

(>=) :: FileCreateFlags -> FileCreateFlags -> Bool

max :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags

min :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags

Show FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileCreateFlags -> ShowS show :: FileCreateFlags -> String showList :: [FileCreateFlags] -> ShowS
Flags FileCreateFlags Source # |
Instance details Defined in System.GIO.Enums

data FileCopyFlags Source #

Flags used when copying or moving files.

Constructors

FileCopyNone |
FileCopyOverwrite |
FileCopyBackup |
FileCopyNofollowSymlinks |
FileCopyAllMetadata |
FileCopyNoFallbackForMove |
FileCopyTargetDefaultPerms |

#### Instances

Instances details

Bounded FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileCopyFlags maxBound :: FileCopyFlags
Enum FileCopyFlags Source # | Indicates a hint from the file system whether files should be previewed in a file manager. Returned as the value of the key `FileAttributeFilesystemUsePreview`.

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileCopyFlags -> FileCopyFlags

pred :: FileCopyFlags -> FileCopyFlags

toEnum :: Int -> FileCopyFlags

fromEnum :: FileCopyFlags -> Int

enumFrom :: FileCopyFlags -> [FileCopyFlags]

enumFromThen :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags]

enumFromTo :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags]

enumFromThenTo :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags -> [FileCopyFlags]

Eq FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileCopyFlags -> FileCopyFlags -> Bool (/=) :: FileCopyFlags -> FileCopyFlags -> Bool
Ord FileCopyFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileCopyFlags -> FileCopyFlags -> Ordering

(<) :: FileCopyFlags -> FileCopyFlags -> Bool

(<=) :: FileCopyFlags -> FileCopyFlags -> Bool

(>) :: FileCopyFlags -> FileCopyFlags -> Bool

(>=) :: FileCopyFlags -> FileCopyFlags -> Bool

max :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags

min :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags

Show FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileCopyFlags -> ShowS show :: FileCopyFlags -> String showList :: [FileCopyFlags] -> ShowS
Flags FileCopyFlags Source # |
Instance details Defined in System.GIO.Enums

data FileMonitorFlags Source #

Flags used to set what a `FileMonitor` will watch for.

Constructors

FileMonitorNone |
FileMonitorWatchMounts |
FileMonitorSendMoved |
FileMonitorWatchHardLinks |
FileMonitorWatchMoves |

#### Instances

Instances details

Bounded FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileMonitorFlags maxBound :: FileMonitorFlags
Enum FileMonitorFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileMonitorFlags -> FileMonitorFlags

pred :: FileMonitorFlags -> FileMonitorFlags

toEnum :: Int -> FileMonitorFlags

fromEnum :: FileMonitorFlags -> Int

enumFrom :: FileMonitorFlags -> [FileMonitorFlags]

enumFromThen :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags]

enumFromTo :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags]

enumFromThenTo :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags]

Eq FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileMonitorFlags -> FileMonitorFlags -> Bool (/=) :: FileMonitorFlags -> FileMonitorFlags -> Bool
Ord FileMonitorFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileMonitorFlags -> FileMonitorFlags -> Ordering

(<) :: FileMonitorFlags -> FileMonitorFlags -> Bool

(<=) :: FileMonitorFlags -> FileMonitorFlags -> Bool

(>) :: FileMonitorFlags -> FileMonitorFlags -> Bool

(>=) :: FileMonitorFlags -> FileMonitorFlags -> Bool

max :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags

min :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags

Show FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileMonitorFlags -> ShowS show :: FileMonitorFlags -> String showList :: [FileMonitorFlags] -> ShowS
Flags FileMonitorFlags Source # |
Instance details Defined in System.GIO.Enums

data FilesystemPreviewType Source #

Constructors

FilesystemPreviewTypeIfAlways |
FilesystemPreviewTypeIfLocal |
FilesystemPreviewTypeNever |

#### Instances

Instances details

Bounded FilesystemPreviewType Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FilesystemPreviewType maxBound :: FilesystemPreviewType
Enum FilesystemPreviewType Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FilesystemPreviewType -> FilesystemPreviewType

pred :: FilesystemPreviewType -> FilesystemPreviewType

toEnum :: Int -> FilesystemPreviewType

fromEnum :: FilesystemPreviewType -> Int

enumFrom :: FilesystemPreviewType -> [FilesystemPreviewType]

enumFromThen :: FilesystemPreviewType -> FilesystemPreviewType -> [FilesystemPreviewType]

enumFromTo :: FilesystemPreviewType -> FilesystemPreviewType -> [FilesystemPreviewType]

enumFromThenTo :: FilesystemPreviewType -> FilesystemPreviewType -> FilesystemPreviewType -> [FilesystemPreviewType]

Eq FilesystemPreviewType Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool (/=) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool
Ord FilesystemPreviewType Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FilesystemPreviewType -> FilesystemPreviewType -> Ordering

(<) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool

(<=) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool

(>) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool

(>=) :: FilesystemPreviewType -> FilesystemPreviewType -> Bool

max :: FilesystemPreviewType -> FilesystemPreviewType -> FilesystemPreviewType

min :: FilesystemPreviewType -> FilesystemPreviewType -> FilesystemPreviewType

Show FilesystemPreviewType Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FilesystemPreviewType -> ShowS show :: FilesystemPreviewType -> String showList :: [FilesystemPreviewType] -> ShowS

data FileType Source #

Indicates the file's on-disk type.

Constructors

FileTypeUnknown |
FileTypeRegular |
FileTypeDirectory |
FileTypeSymbolicLink |
FileTypeSpecial |
FileTypeShortcut |
FileTypeMountable |

#### Instances

Instances details

Bounded FileType Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileType maxBound :: FileType
Enum FileType Source # |
Instance details Defined in System.GIO.Enums Methods succ :: FileType -> FileType pred :: FileType -> FileType toEnum :: Int -> FileType fromEnum :: FileType -> Int enumFrom :: FileType -> [FileType] enumFromThen :: FileType -> FileType -> [FileType] enumFromTo :: FileType -> FileType -> [FileType] enumFromThenTo :: FileType -> FileType -> FileType -> [FileType]
Eq FileType Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileType -> FileType -> Bool (/=) :: FileType -> FileType -> Bool
Ord FileType Source # |
Instance details Defined in System.GIO.Enums Methods compare :: FileType -> FileType -> Ordering (<) :: FileType -> FileType -> Bool (<=) :: FileType -> FileType -> Bool (>) :: FileType -> FileType -> Bool (>=) :: FileType -> FileType -> Bool max :: FileType -> FileType -> FileType min :: FileType -> FileType -> FileType
Show FileType Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileType -> ShowS show :: FileType -> String showList :: [FileType] -> ShowS

data FileAttributeStatus Source #

Used by `fileSetAttributesFromInfo` when setting file attributes.

Constructors

FileAttributeStatusUnset |
FileAttributeStatusSet |
FileAttributeStatusErrorSetting |

#### Instances

Instances details

Bounded FileAttributeStatus Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileAttributeStatus maxBound :: FileAttributeStatus
Enum FileAttributeStatus Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileAttributeStatus -> FileAttributeStatus

pred :: FileAttributeStatus -> FileAttributeStatus

toEnum :: Int -> FileAttributeStatus

fromEnum :: FileAttributeStatus -> Int

enumFrom :: FileAttributeStatus -> [FileAttributeStatus]

enumFromThen :: FileAttributeStatus -> FileAttributeStatus -> [FileAttributeStatus]

enumFromTo :: FileAttributeStatus -> FileAttributeStatus -> [FileAttributeStatus]

enumFromThenTo :: FileAttributeStatus -> FileAttributeStatus -> FileAttributeStatus -> [FileAttributeStatus]

Eq FileAttributeStatus Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileAttributeStatus -> FileAttributeStatus -> Bool (/=) :: FileAttributeStatus -> FileAttributeStatus -> Bool
Ord FileAttributeStatus Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileAttributeStatus -> FileAttributeStatus -> Ordering

(<) :: FileAttributeStatus -> FileAttributeStatus -> Bool

(<=) :: FileAttributeStatus -> FileAttributeStatus -> Bool

(>) :: FileAttributeStatus -> FileAttributeStatus -> Bool

(>=) :: FileAttributeStatus -> FileAttributeStatus -> Bool

max :: FileAttributeStatus -> FileAttributeStatus -> FileAttributeStatus

min :: FileAttributeStatus -> FileAttributeStatus -> FileAttributeStatus

Show FileAttributeStatus Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileAttributeStatus -> ShowS show :: FileAttributeStatus -> String showList :: [FileAttributeStatus] -> ShowS

data FileAttributeInfoFlags Source #

Flags specifying the behaviour of an attribute.

Constructors

FileAttributeInfoNone |
FileAttributeInfoCopyWithFile |
FileAttributeInfoCopyWhenMoved |

#### Instances

Instances details

Bounded FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileAttributeInfoFlags maxBound :: FileAttributeInfoFlags
Enum FileAttributeInfoFlags Source # | `AskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileAttributeInfoFlags -> FileAttributeInfoFlags

pred :: FileAttributeInfoFlags -> FileAttributeInfoFlags

toEnum :: Int -> FileAttributeInfoFlags

fromEnum :: FileAttributeInfoFlags -> Int

enumFrom :: FileAttributeInfoFlags -> [FileAttributeInfoFlags]

enumFromThen :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags]

enumFromTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags]

enumFromThenTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags]

Eq FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool (/=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool
Ord FileAttributeInfoFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Ordering

(<) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

(<=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

(>) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

(>=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool

max :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags

min :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags

Read FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods readsPrec :: Int -> ReadS FileAttributeInfoFlags readList :: ReadS [FileAttributeInfoFlags] readPrec :: ReadPrec FileAttributeInfoFlags readListPrec :: ReadPrec [FileAttributeInfoFlags]
Show FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileAttributeInfoFlags -> ShowS show :: FileAttributeInfoFlags -> String showList :: [FileAttributeInfoFlags] -> ShowS
Flags FileAttributeInfoFlags Source # |
Instance details Defined in System.GIO.Enums

data AskPasswordFlags Source #

Constructors

AskPasswordNeedPassword |
AskPasswordNeedUsername |
AskPasswordNeedDomain |
AskPasswordSavingSupported |
AskPasswordAnonymousSupported |
AskPasswordTcrypt |

#### Instances

Instances details

Bounded AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: AskPasswordFlags maxBound :: AskPasswordFlags
Enum AskPasswordFlags Source # | `MountOperationResult` is returned as a result when a request for information is send by the mounting operation.

Instance details

Defined in System.GIO.Enums

Methods

succ :: AskPasswordFlags -> AskPasswordFlags

pred :: AskPasswordFlags -> AskPasswordFlags

toEnum :: Int -> AskPasswordFlags

fromEnum :: AskPasswordFlags -> Int

enumFrom :: AskPasswordFlags -> [AskPasswordFlags]

enumFromThen :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags]

enumFromTo :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags]

enumFromThenTo :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags]

Eq AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: AskPasswordFlags -> AskPasswordFlags -> Bool (/=) :: AskPasswordFlags -> AskPasswordFlags -> Bool
Ord AskPasswordFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: AskPasswordFlags -> AskPasswordFlags -> Ordering

(<) :: AskPasswordFlags -> AskPasswordFlags -> Bool

(<=) :: AskPasswordFlags -> AskPasswordFlags -> Bool

(>) :: AskPasswordFlags -> AskPasswordFlags -> Bool

(>=) :: AskPasswordFlags -> AskPasswordFlags -> Bool

max :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags

min :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags

Show AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> AskPasswordFlags -> ShowS show :: AskPasswordFlags -> String showList :: [AskPasswordFlags] -> ShowS
Flags AskPasswordFlags Source # |
Instance details Defined in System.GIO.Enums

data PasswordSave Source #

`PasswordSave` is used to indicate the lifespan of a saved password.

Constructors

PasswordSaveNever |
PasswordSaveForSession |
PasswordSavePermanently |

#### Instances

Instances details

Bounded PasswordSave Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: PasswordSave maxBound :: PasswordSave
Enum PasswordSave Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: PasswordSave -> PasswordSave

pred :: PasswordSave -> PasswordSave

toEnum :: Int -> PasswordSave

fromEnum :: PasswordSave -> Int

enumFrom :: PasswordSave -> [PasswordSave]

enumFromThen :: PasswordSave -> PasswordSave -> [PasswordSave]

enumFromTo :: PasswordSave -> PasswordSave -> [PasswordSave]

enumFromThenTo :: PasswordSave -> PasswordSave -> PasswordSave -> [PasswordSave]

Eq PasswordSave Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: PasswordSave -> PasswordSave -> Bool (/=) :: PasswordSave -> PasswordSave -> Bool
Ord PasswordSave Source # |
Instance details Defined in System.GIO.Enums Methods compare :: PasswordSave -> PasswordSave -> Ordering (<) :: PasswordSave -> PasswordSave -> Bool (<=) :: PasswordSave -> PasswordSave -> Bool (>) :: PasswordSave -> PasswordSave -> Bool (>=) :: PasswordSave -> PasswordSave -> Bool max :: PasswordSave -> PasswordSave -> PasswordSave min :: PasswordSave -> PasswordSave -> PasswordSave
Show PasswordSave Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> PasswordSave -> ShowS show :: PasswordSave -> String showList :: [PasswordSave] -> ShowS

data MountOperationResult Source #

Constructors

MountOperationHandled |
MountOperationAborted |
MountOperationUnhandled |

#### Instances

Instances details

Bounded MountOperationResult Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: MountOperationResult maxBound :: MountOperationResult
Enum MountOperationResult Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: MountOperationResult -> MountOperationResult

pred :: MountOperationResult -> MountOperationResult

toEnum :: Int -> MountOperationResult

fromEnum :: MountOperationResult -> Int

enumFrom :: MountOperationResult -> [MountOperationResult]

enumFromThen :: MountOperationResult -> MountOperationResult -> [MountOperationResult]

enumFromTo :: MountOperationResult -> MountOperationResult -> [MountOperationResult]

enumFromThenTo :: MountOperationResult -> MountOperationResult -> MountOperationResult -> [MountOperationResult]

Eq MountOperationResult Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: MountOperationResult -> MountOperationResult -> Bool (/=) :: MountOperationResult -> MountOperationResult -> Bool
Ord MountOperationResult Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: MountOperationResult -> MountOperationResult -> Ordering

(<) :: MountOperationResult -> MountOperationResult -> Bool

(<=) :: MountOperationResult -> MountOperationResult -> Bool

(>) :: MountOperationResult -> MountOperationResult -> Bool

(>=) :: MountOperationResult -> MountOperationResult -> Bool

max :: MountOperationResult -> MountOperationResult -> MountOperationResult

min :: MountOperationResult -> MountOperationResult -> MountOperationResult

Show MountOperationResult Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> MountOperationResult -> ShowS show :: MountOperationResult -> String showList :: [MountOperationResult] -> ShowS

data IOErrorEnum Source #

Error codes returned by GIO functions.

Constructors

IoErrorFailed |
IoErrorNotFound |
IoErrorExists |
IoErrorIsDirectory |
IoErrorNotDirectory |
IoErrorNotEmpty |
IoErrorNotRegularFile |
IoErrorNotSymbolicLink |
IoErrorNotMountableFile |
IoErrorFilenameTooLong |
IoErrorInvalidFilename |
IoErrorTooManyLinks |
IoErrorNoSpace |
IoErrorInvalidArgument |
IoErrorPermissionDenied |
IoErrorNotSupported |
IoErrorNotMounted |
IoErrorAlreadyMounted |
IoErrorClosed |
IoErrorCancelled |
IoErrorPending |
IoErrorReadOnly |
IoErrorCantCreateBackup |
IoErrorWrongEtag |
IoErrorTimedOut |
IoErrorWouldRecurse |
IoErrorBusy |
IoErrorWouldBlock |
IoErrorHostNotFound |
IoErrorWouldMerge |
IoErrorFailedHandled |
IoErrorTooManyOpenFiles |
IoErrorNotInitialized |
IoErrorAddressInUse |
IoErrorPartialInput |
IoErrorInvalidData |
IoErrorDbusError |
IoErrorHostUnreachable |
IoErrorNetworkUnreachable |
IoErrorConnectionRefused |
IoErrorProxyFailed |
IoErrorProxyAuthFailed |
IoErrorProxyNeedAuth |
IoErrorProxyNotAllowed |
IoErrorBrokenPipe |
IoErrorConnectionClosed |
IoErrorNotConnected |
IoErrorMessageTooLarge |

#### Instances

Instances details

Bounded IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: IOErrorEnum maxBound :: IOErrorEnum
Enum IOErrorEnum Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: IOErrorEnum -> IOErrorEnum

pred :: IOErrorEnum -> IOErrorEnum

toEnum :: Int -> IOErrorEnum

fromEnum :: IOErrorEnum -> Int

enumFrom :: IOErrorEnum -> [IOErrorEnum]

enumFromThen :: IOErrorEnum -> IOErrorEnum -> [IOErrorEnum]

enumFromTo :: IOErrorEnum -> IOErrorEnum -> [IOErrorEnum]

enumFromThenTo :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum -> [IOErrorEnum]

Eq IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: IOErrorEnum -> IOErrorEnum -> Bool (/=) :: IOErrorEnum -> IOErrorEnum -> Bool
Ord IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods compare :: IOErrorEnum -> IOErrorEnum -> Ordering (<) :: IOErrorEnum -> IOErrorEnum -> Bool (<=) :: IOErrorEnum -> IOErrorEnum -> Bool (>) :: IOErrorEnum -> IOErrorEnum -> Bool (>=) :: IOErrorEnum -> IOErrorEnum -> Bool max :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum min :: IOErrorEnum -> IOErrorEnum -> IOErrorEnum
Show IOErrorEnum Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> IOErrorEnum -> ShowS show :: IOErrorEnum -> String showList :: [IOErrorEnum] -> ShowS

data FileMonitorEvent Source #

Specifies what type of event a monitor event is.

Constructors

FileMonitorEventChanged |
FileMonitorEventChangesDoneHint |
FileMonitorEventDeleted |
FileMonitorEventCreated |
FileMonitorEventAttributeChanged |
FileMonitorEventPreUnmount |
FileMonitorEventUnmounted |
FileMonitorEventMoved |
FileMonitorEventRenamed |
FileMonitorEventMovedIn |
FileMonitorEventMovedOut |

#### Instances

Instances details

Bounded FileMonitorEvent Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: FileMonitorEvent maxBound :: FileMonitorEvent
Enum FileMonitorEvent Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: FileMonitorEvent -> FileMonitorEvent

pred :: FileMonitorEvent -> FileMonitorEvent

toEnum :: Int -> FileMonitorEvent

fromEnum :: FileMonitorEvent -> Int

enumFrom :: FileMonitorEvent -> [FileMonitorEvent]

enumFromThen :: FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent]

enumFromTo :: FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent]

enumFromThenTo :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent -> [FileMonitorEvent]

Eq FileMonitorEvent Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: FileMonitorEvent -> FileMonitorEvent -> Bool (/=) :: FileMonitorEvent -> FileMonitorEvent -> Bool
Ord FileMonitorEvent Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: FileMonitorEvent -> FileMonitorEvent -> Ordering

(<) :: FileMonitorEvent -> FileMonitorEvent -> Bool

(<=) :: FileMonitorEvent -> FileMonitorEvent -> Bool

(>) :: FileMonitorEvent -> FileMonitorEvent -> Bool

(>=) :: FileMonitorEvent -> FileMonitorEvent -> Bool

max :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent

min :: FileMonitorEvent -> FileMonitorEvent -> FileMonitorEvent

Show FileMonitorEvent Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> FileMonitorEvent -> ShowS show :: FileMonitorEvent -> String showList :: [FileMonitorEvent] -> ShowS

data MountMountFlags Source #

Flags used when mounting a mount.

Constructors

MountMountNone |

#### Instances

Instances details

Bounded MountMountFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: MountMountFlags maxBound :: MountMountFlags
Enum MountMountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: MountMountFlags -> MountMountFlags

pred :: MountMountFlags -> MountMountFlags

toEnum :: Int -> MountMountFlags

fromEnum :: MountMountFlags -> Int

enumFrom :: MountMountFlags -> [MountMountFlags]

enumFromThen :: MountMountFlags -> MountMountFlags -> [MountMountFlags]

enumFromTo :: MountMountFlags -> MountMountFlags -> [MountMountFlags]

enumFromThenTo :: MountMountFlags -> MountMountFlags -> MountMountFlags -> [MountMountFlags]

Eq MountMountFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: MountMountFlags -> MountMountFlags -> Bool (/=) :: MountMountFlags -> MountMountFlags -> Bool
Ord MountMountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: MountMountFlags -> MountMountFlags -> Ordering

(<) :: MountMountFlags -> MountMountFlags -> Bool

(<=) :: MountMountFlags -> MountMountFlags -> Bool

(>) :: MountMountFlags -> MountMountFlags -> Bool

(>=) :: MountMountFlags -> MountMountFlags -> Bool

max :: MountMountFlags -> MountMountFlags -> MountMountFlags

min :: MountMountFlags -> MountMountFlags -> MountMountFlags

Show MountMountFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> MountMountFlags -> ShowS show :: MountMountFlags -> String showList :: [MountMountFlags] -> ShowS
Flags MountMountFlags Source # |
Instance details Defined in System.GIO.Enums

data MountUnmountFlags Source #

Flags used when an unmounting a mount.

Constructors

MountUnmountNone |
MountUnmountForce |

#### Instances

Instances details

Bounded MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: MountUnmountFlags maxBound :: MountUnmountFlags
Enum MountUnmountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: MountUnmountFlags -> MountUnmountFlags

pred :: MountUnmountFlags -> MountUnmountFlags

toEnum :: Int -> MountUnmountFlags

fromEnum :: MountUnmountFlags -> Int

enumFrom :: MountUnmountFlags -> [MountUnmountFlags]

enumFromThen :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags]

enumFromTo :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags]

enumFromThenTo :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags]

Eq MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: MountUnmountFlags -> MountUnmountFlags -> Bool (/=) :: MountUnmountFlags -> MountUnmountFlags -> Bool
Ord MountUnmountFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: MountUnmountFlags -> MountUnmountFlags -> Ordering

(<) :: MountUnmountFlags -> MountUnmountFlags -> Bool

(<=) :: MountUnmountFlags -> MountUnmountFlags -> Bool

(>) :: MountUnmountFlags -> MountUnmountFlags -> Bool

(>=) :: MountUnmountFlags -> MountUnmountFlags -> Bool

max :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags

min :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags

Show MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> MountUnmountFlags -> ShowS show :: MountUnmountFlags -> String showList :: [MountUnmountFlags] -> ShowS
Flags MountUnmountFlags Source # |
Instance details Defined in System.GIO.Enums

data DriveStartFlags Source #

Flags used when starting a drive.

Constructors

DriveStartNone |

#### Instances

Instances details

Bounded DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: DriveStartFlags maxBound :: DriveStartFlags
Enum DriveStartFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: DriveStartFlags -> DriveStartFlags

pred :: DriveStartFlags -> DriveStartFlags

toEnum :: Int -> DriveStartFlags

fromEnum :: DriveStartFlags -> Int

enumFrom :: DriveStartFlags -> [DriveStartFlags]

enumFromThen :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags]

enumFromTo :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags]

enumFromThenTo :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags -> [DriveStartFlags]

Eq DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: DriveStartFlags -> DriveStartFlags -> Bool (/=) :: DriveStartFlags -> DriveStartFlags -> Bool
Ord DriveStartFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: DriveStartFlags -> DriveStartFlags -> Ordering

(<) :: DriveStartFlags -> DriveStartFlags -> Bool

(<=) :: DriveStartFlags -> DriveStartFlags -> Bool

(>) :: DriveStartFlags -> DriveStartFlags -> Bool

(>=) :: DriveStartFlags -> DriveStartFlags -> Bool

max :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags

min :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags

Show DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> DriveStartFlags -> ShowS show :: DriveStartFlags -> String showList :: [DriveStartFlags] -> ShowS
Flags DriveStartFlags Source # |
Instance details Defined in System.GIO.Enums

data DriveStartStopType Source #

Enumeration describing how a drive can be started/stopped.

Constructors

DriveStartStopTypeUnknown |
DriveStartStopTypeShutdown |
DriveStartStopTypeNetwork |
DriveStartStopTypeMultidisk |
DriveStartStopTypePassword |

#### Instances

Instances details

Bounded DriveStartStopType Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: DriveStartStopType maxBound :: DriveStartStopType
Enum DriveStartStopType Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: DriveStartStopType -> DriveStartStopType

pred :: DriveStartStopType -> DriveStartStopType

toEnum :: Int -> DriveStartStopType

fromEnum :: DriveStartStopType -> Int

enumFrom :: DriveStartStopType -> [DriveStartStopType]

enumFromThen :: DriveStartStopType -> DriveStartStopType -> [DriveStartStopType]

enumFromTo :: DriveStartStopType -> DriveStartStopType -> [DriveStartStopType]

enumFromThenTo :: DriveStartStopType -> DriveStartStopType -> DriveStartStopType -> [DriveStartStopType]

Eq DriveStartStopType Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: DriveStartStopType -> DriveStartStopType -> Bool (/=) :: DriveStartStopType -> DriveStartStopType -> Bool
Ord DriveStartStopType Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: DriveStartStopType -> DriveStartStopType -> Ordering

(<) :: DriveStartStopType -> DriveStartStopType -> Bool

(<=) :: DriveStartStopType -> DriveStartStopType -> Bool

(>) :: DriveStartStopType -> DriveStartStopType -> Bool

(>=) :: DriveStartStopType -> DriveStartStopType -> Bool

max :: DriveStartStopType -> DriveStartStopType -> DriveStartStopType

min :: DriveStartStopType -> DriveStartStopType -> DriveStartStopType

Show DriveStartStopType Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> DriveStartStopType -> ShowS show :: DriveStartStopType -> String showList :: [DriveStartStopType] -> ShowS

data EmblemOrigin Source #

`EmblemOrigin` is used to add information about the origin of the emblem to `Emblem`.

Constructors

EmblemOriginUnknown |
EmblemOriginDevice |
EmblemOriginLivemetadata |
EmblemOriginTag |

#### Instances

Instances details

Bounded EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: EmblemOrigin maxBound :: EmblemOrigin
Enum EmblemOrigin Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: EmblemOrigin -> EmblemOrigin

pred :: EmblemOrigin -> EmblemOrigin

toEnum :: Int -> EmblemOrigin

fromEnum :: EmblemOrigin -> Int

enumFrom :: EmblemOrigin -> [EmblemOrigin]

enumFromThen :: EmblemOrigin -> EmblemOrigin -> [EmblemOrigin]

enumFromTo :: EmblemOrigin -> EmblemOrigin -> [EmblemOrigin]

enumFromThenTo :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin -> [EmblemOrigin]

Eq EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: EmblemOrigin -> EmblemOrigin -> Bool (/=) :: EmblemOrigin -> EmblemOrigin -> Bool
Ord EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods compare :: EmblemOrigin -> EmblemOrigin -> Ordering (<) :: EmblemOrigin -> EmblemOrigin -> Bool (<=) :: EmblemOrigin -> EmblemOrigin -> Bool (>) :: EmblemOrigin -> EmblemOrigin -> Bool (>=) :: EmblemOrigin -> EmblemOrigin -> Bool max :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin min :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin
Show EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> EmblemOrigin -> ShowS show :: EmblemOrigin -> String showList :: [EmblemOrigin] -> ShowS

data AppInfoCreateFlags Source #

Flags used when creating a `AppInfo`.

Constructors

AppInfoCreateNone |
AppInfoCreateNeedsTerminal |
AppInfoCreateSupportsUris |
AppInfoCreateSupportsStartupNotification |

#### Instances

Instances details

Bounded AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: AppInfoCreateFlags maxBound :: AppInfoCreateFlags
Enum AppInfoCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: AppInfoCreateFlags -> AppInfoCreateFlags

pred :: AppInfoCreateFlags -> AppInfoCreateFlags

toEnum :: Int -> AppInfoCreateFlags

fromEnum :: AppInfoCreateFlags -> Int

enumFrom :: AppInfoCreateFlags -> [AppInfoCreateFlags]

enumFromThen :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags]

enumFromTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags]

enumFromThenTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags]

Eq AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool (/=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool
Ord AppInfoCreateFlags Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: AppInfoCreateFlags -> AppInfoCreateFlags -> Ordering

(<) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

(<=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

(>) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

(>=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool

max :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags

min :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags

Show AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> AppInfoCreateFlags -> ShowS show :: AppInfoCreateFlags -> String showList :: [AppInfoCreateFlags] -> ShowS
Flags AppInfoCreateFlags Source # |
Instance details Defined in System.GIO.Enums